<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <!-- CSS-bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

    <!-- CSS StyleSheet -->
    <link rel="stylesheet" href="static/styles.css">
</head>
<body>
    
    <div id="app" class="card-deck" style="margin: 22px;">
        <div class="card" v-for="seccion in secciones" v-on:click="mostrarPreguntas(seccion.id)">
            <img class="card-img-top" :src="seccion.url_imagen" alt="Preescolar">
            <div class="card-body" >
                <h5 class="card-title">{{ seccion.nombre }}</h5>
                <p class="card-text">{{seccion.descripcion}}</p>
            </div>
        </div>
        
    </div>
    
    <!-- Vue -->
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

    <script>
        new Vue({
            el: '#app',
            data :{
                secciones: [],
                preguntas: []
            },
            methods: {
                mostrarPreguntas: function(seccion_id, event) {
                    window.location = "preguntas.html?seccion_id="+seccion_id;
                }
            },
            mounted () {
                axios
                .get('https://bruno-juega-api-dev.herokuapp.com/secciones')
                .then(response => (this.secciones = response.data))
            },
        })
    </script>

</body>
</html>